# Class MOLWriter

java.lang.Object
org.jmol.adapter.writers.MOLWriter

public class MOLWriter extends Object

## Constructor Summary

Constructors
Constructor
Description
`MOLWriter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addMolFile(String title, int iModel, SB mol, BS bsAtoms, BS bsBonds, boolean asV3000, boolean asJSON, boolean noAromatic, Quat q, boolean is2d)`
`MOLWriter`
`setViewer(Viewer vwr)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MOLWriter

public MOLWriter()

## Method Details

### setViewer

public MOLWriter setViewer(Viewer vwr)

### addMolFile

public boolean addMolFile(String title, int iModel, SB mol, BS bsAtoms, BS bsBonds, boolean asV3000, boolean asJSON, boolean noAromatic, Quat q, boolean is2d)